System.Web 2.0.0.0 System.Object System.Web.IHttpModule

The class is used to assign a to the property of the .

When a request completes, the refreshes the roles cookie that contains cached role information. If the property is of type , and that indicates that its cached role list has been modified by setting the property to true, the will update the roles cookie that contains cached role information.

This class is not intended to be used directly from your code.

Manages a instance for the current user. This class cannot be inherited.

- Constructor

  The class is used to place a in the property of the and is not intended to be used directly from your code.

  Creates a new instance of the class.

  2.0.0.0
- Method
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the memory it occupied can be reclaimed by garbage collection.

  This method is not intended to be used directly from your code.

  Called by the HTTP runtime to dispose of the role-manager module.

  2.0.0.0
- Event
  System.Web.Security.RoleManagerEventHandler

  The event is raised before the creates a object and assigns it to the property of the . You can use this event to audit when role information is applied or to replace the creation of a by the with your own code.

  You can cancel the application of role information by the by setting the property of the to true in the event.

  If you set to true in your event handler, then the property of the current is not set to a object by the .

  A global application event that is raised when the is ready to create a that represents the current user.

  2.0.0.0
- Method
  System.Void ``

  This method subscribes to the and methods of the specified for the purpose of managing role information and is not intended to be used directly from your code.

  Associates the role manager with the specified application.

  The to associate the with. 2.0.0.0